> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recoupable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Artist

> Get Spotify catalog information for a single artist identified by their unique Spotify ID.



## OpenAPI

````yaml api-reference/openapi/social.json GET /api/spotify/artist/
openapi: 3.1.0
info:
  title: Recoup API - Social
  description: >-
    API documentation for the Recoup platform - an AI agent platform for the
    music industry
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.recoupable.dev
security: []
paths:
  /api/spotify/artist/:
    get:
      description: >-
        Get Spotify catalog information for a single artist identified by their
        unique Spotify ID.
      parameters:
        - name: id
          in: query
          description: The Spotify ID of the artist
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Artist retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpotifyGetArtistResponse'
        '400':
          description: Bad request - missing required parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpotifyErrorResponse'
components:
  schemas:
    SpotifyGetArtistResponse:
      type: object
      properties:
        artist:
          $ref: '#/components/schemas/SpotifyArtistObject'
          nullable: true
          description: The Spotify artist object (null if error)
        error:
          type: object
          nullable: true
          description: Error object if request failed (null if successful)
    SpotifyErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            status:
              type: integer
              description: HTTP status code
            message:
              type: string
              description: Error message
          description: Error details
    SpotifyArtistObject:
      type: object
      properties:
        external_urls:
          $ref: '#/components/schemas/SpotifyExternalUrls'
        followers:
          $ref: '#/components/schemas/SpotifyFollowers'
        genres:
          type: array
          items:
            type: string
          description: A list of the genres the artist is associated with
        href:
          type: string
          description: A link to the Web API endpoint providing full details
        id:
          type: string
          description: The Spotify ID for the artist
        images:
          type: array
          items:
            $ref: '#/components/schemas/SpotifyImage'
          description: Images of the artist in various sizes
        name:
          type: string
          description: The name of the artist
        popularity:
          type: integer
          description: The popularity of the artist (0-100)
        type:
          type: string
          enum:
            - artist
          description: The object type, always 'artist'
        uri:
          type: string
          description: The Spotify URI for the artist
    SpotifyExternalUrls:
      type: object
      properties:
        spotify:
          type: string
          description: The Spotify URL for the object
    SpotifyFollowers:
      type: object
      properties:
        href:
          type: string
          nullable: true
          description: This will always be set to null
        total:
          type: integer
          description: The total number of followers
    SpotifyImage:
      type: object
      properties:
        url:
          type: string
          description: The source URL of the image
        height:
          type: integer
          nullable: true
          description: The image height in pixels
        width:
          type: integer
          nullable: true
          description: The image width in pixels

````